/*
 Navicat Premium Data Transfer
 
 Source Server         : MySQLConnection
 Source Server Type    : MySQL
 Source Server Version : 80034
 Source Host           : localhost:3306
 Source Schema         : vehicle
 
 Target Server Type    : MySQL
 Target Server Version : 80034
 File Encoding         : 65001
 
 Date: 26/10/2023 20:06:37
 */
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;
# CREATE DATABASE vehicle charset=utf8;
USE vehicle;
-- ----------------------------
-- Table structure for file
-- ----------------------------
DROP TABLE IF EXISTS `file`;
CREATE TABLE `file` (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `project_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `size` double(22, 0) NULL DEFAULT NULL,
  `date` timestamp(0) NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `url` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;
-- ----------------------------
-- Records of file
-- ----------------------------
INSERT INTO vehicle.file (
    id,
    project_id,
    name,
    size,
    date,
    type,
    creator,
    url
  )
VALUES (
    '60a3f79269cede771f3990662a3d6d73',
    '532452524',
    '图例.txt',
    765,
    '2023-10-25 23:53:27',
    'txt',
    null,
    'http://127.0.0.1:9000/files/532452524/图例.txt'
  );
INSERT INTO vehicle.file (
    id,
    project_id,
    name,
    size,
    date,
    type,
    creator,
    url
  )
VALUES (
    'a62d5d0a60112978ee38a41008faf98d',
    '532452524',
    '75v3说明书-一图版.jpg',
    615605,
    '2023-10-26 00:01:06',
    'jpg',
    null,
    'http://127.0.0.1:9000/files/532452524/75v3说明书-一图版.jpg'
  );
INSERT INTO vehicle.file (
    id,
    project_id,
    name,
    size,
    date,
    type,
    creator,
    url
  )
VALUES (
    'ff41617c78410d68fa2b7bcd8a9ddd06',
    '532452524',
    'Fight_car.rar',
    3353,
    '2023-10-24 21:24:04',
    'rar',
    null,
    'http://127.0.0.1:9000/files/532452524/Fight_car.rar'
  );
-- ----------------------------
--  Table structure for image
-- ----------------------------
DROP TABLE IF EXISTS `image`;
CREATE TABLE `image` (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `project_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `size` double(22, 0) NULL DEFAULT NULL,
  `date` timestamp(0) NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `url` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;
# @Data
# @TableName(value = "radar_dataset")
# @ApiModel("雷达数据集")
# public class RadarDataset {
#     @ApiModelProperty("id主键自增")
#     @TableId(type = IdType.ASSIGN_UUID)
#     private String id;
# @ApiModelProperty(value = "雷达数据集所属的项目id", required = true)
#     private String projectId;
# @ApiModelProperty(value = "雷达数据集名", required = true)
#     private String name;
# @ApiModelProperty("雷达数据集大小-kb")
#     private String size;
# @ApiModelProperty("雷达数据集创建日期")
#     private Date date;
# @ApiModelProperty("雷达数据集上传者")
#     private String creator;
# @ApiModelProperty(value = "雷达数据集类型")
#     private String type;
# @ApiModelProperty(value = "雷达数据集url")
#     private String url;
# }
-- ----------------------------
-- Table structure for radar_dataset
-- ----------------------------
DROP TABLE IF EXISTS `radar_dataset`;
CREATE TABLE `radar_dataset` (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `project_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `size` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `date` timestamp(0) NULL DEFAULT NULL,
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `url` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;
-- ----------------------------
-- Table structure for project
-- ----------------------------
DROP TABLE IF EXISTS `project`;
CREATE TABLE `project` (
  `id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `description` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `time` timestamp(0) NULL DEFAULT NULL,
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `principal` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `department` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `field` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `secret` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `major` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `process` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `language` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;
-- ----------------------------
-- Records of project
-- ----------------------------
INSERT INTO `project`
VALUES (
    '1',
    'Project 1',
    'A Project to Test',
    '2023-10-26 09:00:00',
    'John Doe',
    'Alice Smith',
    'project1.jpg',
    'Engineering',
    'Software Development',
    'No',
    'Research',
    'Computer Science',
    '50%',
    'Java'
  );
INSERT INTO `project`
VALUES (
    '10',
    'Project 10',
    'Creating innovative mobile apps.',
    '2023-11-04 14:55:00',
    'Robert Adams',
    'Jennifer Taylor',
    'project10.jpg',
    'Technology',
    'Mobile App Development',
    'No',
    'Development',
    'Computer Science',
    '65%',
    'Swift'
  );
INSERT INTO `project`
VALUES (
    '2',
    'Project 2',
    'A project for testing purposes.',
    '2023-10-27 14:30:00',
    'Jane Smith',
    'Bob Johnson',
    'project2.jpg',
    'Marketing',
    'Data Analysis',
    'Yes',
    'Analysis',
    'Business Administration',
    '75%',
    'Python'
  );
INSERT INTO `project`
VALUES (
    '3',
    'Project 3',
    'Exploring new technologies.',
    '2023-10-28 11:15:00',
    'Michael Brown',
    'Emily Davis',
    'project3.jpg',
    'Research',
    'Artificial Intelligence',
    'No',
    'Development',
    'Computer Engineering',
    '40%',
    'C++'
  );
INSERT INTO `project`
VALUES (
    '4',
    'Project 4',
    'Improving existing systems.',
    '2023-10-29 16:45:00',
    'Sarah Wilson',
    'James Jackson',
    'project4.jpg',
    'Development',
    'Web Development',
    'No',
    'Development',
    'Information Technology',
    '60%',
    'JavaScript'
  );
INSERT INTO `project`
VALUES (
    '5',
    'Project 5',
    'Enhancing user experience.',
    '2023-10-30 10:30:00',
    'David Lee',
    'Sophia Garcia',
    'project5.jpg',
    'Design',
    'User Interface',
    'No',
    'Design',
    'Graphic Design',
    '90%',
    'Adobe XD'
  );
INSERT INTO `project`
VALUES (
    '6',
    'Project 6',
    'Solving complex problems.',
    '2023-10-31 13:20:00',
    'Maria Martinez',
    'William Anderson',
    'project6.jpg',
    'Engineering',
    'Electrical Engineering',
    'Yes',
    'Research',
    'Electrical Engineering',
    '55%',
    'MATLAB'
  );
INSERT INTO `project`
VALUES (
    '7',
    'Project 7',
    'Innovating in the healthcare sector.',
    '2023-11-01 08:00:00',
    'Linda Johnson',
    'Daniel Miller',
    'project7.jpg',
    'Healthcare',
    'Medical Research',
    'No',
    'Research',
    'Medicine',
    '70%',
    'Python'
  );
INSERT INTO `project`
VALUES (
    '8',
    'Project 8',
    'Optimizing supply chain operations.',
    '2023-11-02 15:10:00',
    'Thomas Clark',
    'Olivia Adams',
    'project8.jpg',
    'Logistics',
    'Supply Chain Management',
    'No',
    'Analysis',
    'Business Administration',
    '80%',
    'SQL'
  );
INSERT INTO `project`
VALUES (
    '9',
    'Project 9',
    'Exploring space travel possibilities.',
    '2023-11-03 12:45:00',
    'Richard Hall',
    'Eva White',
    'project9.jpg',
    'Aerospace',
    'Astronomy',
    'Yes',
    'Research',
    'Aerospace Engineering',
    '45%',
    'Python'
  );
INSERT INTO `project`(
    id,
    name,
    description,
    time,
    creator,
    principal,
    picture,
    department,
    field,
    secret,
    type,
    major,
    process,
    language
  )
VALUES (
    '53245254',
    '新的项目2',
    null,
    '2023-10-27 10:20:25',
    null,
    null,
    null,
    null,
    null,
    null,
    null,
    null,
    null,
    null
  );
-- ----------------------------
-- Table structure for test_case
-- ----------------------------
DROP TABLE IF EXISTS `test_case`;
CREATE TABLE `test_case` (
  `id` int(0) NOT NULL AUTO_INCREMENT,
  `case_set_id` int(0) NULL DEFAULT NULL,
  `date` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
  `code` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL,
  `name` varchar(765) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `remarks` text CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1405075639 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = Dynamic;
-- ----------------------------
-- Records of test_case
-- ----------------------------
INSERT INTO `test_case`
VALUES (
    1,
    11,
    '2023-10-25 11:00:39',
    'code009',
    'Test Case 9',
    'This is the 11111th test case.'
  );
INSERT INTO `test_case`
VALUES (
    3,
    1,
    '2023-10-24 20:48:24',
    'code0011',
    'Test Case 11',
    'This is the 1th test case.'
  );
INSERT INTO `test_case`
VALUES (
    4,
    1,
    '2023-10-24 20:48:26',
    'code004',
    'Test Case 4',
    'Some remarks for test case 4.'
  );
INSERT INTO `test_case`
VALUES (
    5,
    3,
    '2023-10-24 20:48:28',
    'code005',
    'Test Case 5',
    'Remarks for test case 5.'
  );
INSERT INTO `test_case`
VALUES (
    6,
    4,
    '2023-10-24 20:48:31',
    'code006',
    'Test Case 6',
    'Sample remarks for case 6.'
  );
INSERT INTO `test_case`
VALUES (
    7,
    5,
    '2023-10-24 20:48:33',
    'code007',
    'Test Case 7',
    'Remarks for test case 7.'
  );
INSERT INTO `test_case`
VALUES (
    8,
    4,
    '2023-10-24 20:48:34',
    'code008',
    'Test Case 8',
    'Test case 8 remarks.'
  );
INSERT INTO `test_case`
VALUES (
    9,
    9,
    '2023-10-25 10:58:45',
    'code009',
    'Test Case 9',
    'This is the 1th test case.'
  );
INSERT INTO `test_case`
VALUES (
    10,
    9,
    '2023-10-25 10:59:05',
    'code009',
    'Test Case 9',
    'This is the 1th test case.'
  );
INSERT INTO `test_case`
VALUES (
    11,
    9,
    '2023-10-25 10:59:17',
    'code009',
    'Test Case 9',
    'This is the 1th test case.'
  );
-- ----------------------------
-- Table structure for testcase_set
-- ----------------------------
DROP TABLE IF EXISTS `testcase_set`;
CREATE TABLE `testcase_set` (
  `id` int(0) NOT NULL AUTO_INCREMENT,
  `name` varchar(765) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `description` varchar(765) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `date` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
  `department` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `language` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `creator` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `project` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `time` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1620499317 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = Dynamic;
-- ----------------------------
-- Records of testcase_set
-- ----------------------------
INSERT INTO `testcase_set`
VALUES (
    1,
    'Test Set',
    'A description for test set 2',
    '2023-10-25 11:26:07',
    'Development',
    'Java',
    'Jane Smith',
    '2',
    '2023-10-25 11:26:07'
  );
INSERT INTO `testcase_set`
VALUES (
    2,
    'Test Set 2',
    'A description for test set 2',
    '2023-10-25 11:19:28',
    'Development',
    'Java',
    'Jane Smith',
    '1',
    '2023-10-24 09:30:00'
  );
INSERT INTO `testcase_set`
VALUES (
    3,
    'Test Set 3',
    'Test set 3 description',
    '2023-10-25 11:19:31',
    'Testing',
    'Python',
    'Alice Johnson',
    '2',
    '2023-10-24 10:15:00'
  );
INSERT INTO `testcase_set`
VALUES (
    4,
    'Test Set 4',
    'Description for test set 4',
    '2023-10-25 11:19:33',
    'QA',
    'C++',
    'Bob Williams',
    '1',
    '2023-10-24 11:00:00'
  );
INSERT INTO `testcase_set`
VALUES (
    5,
    'Test Set 5',
    'Description for test set 5',
    '2023-10-25 11:19:35',
    'Development',
    'JavaScript',
    'Eva Davis',
    '4',
    '2023-10-24 11:45:00'
  );
INSERT INTO `testcase_set`
VALUES (
    6,
    'Test Set 6',
    'A description for test set 6',
    '2023-10-25 11:19:38',
    'Testing',
    'Ruby',
    'Charlie Brown',
    '5',
    '2023-10-24 12:30:00'
  );
INSERT INTO `testcase_set`
VALUES (
    7,
    'Test Set 7',
    'Test set 7 description',
    '2023-10-25 11:19:40',
    'QA',
    'C#',
    'Grace Wilson',
    '6',
    '2023-10-24 13:15:00'
  );
INSERT INTO `testcase_set`
VALUES (
    8,
    'Test Set 8',
    'Description for test set 8',
    '2023-10-25 11:19:42',
    'Development',
    'PHP',
    'Daniel Lee',
    '5',
    '2023-10-24 14:00:00'
  );
INSERT INTO `testcase_set`
VALUES (
    9,
    'new Test Set 9',
    'Description for test set 9',
    '2023-10-26 18:41:29',
    'Dev',
    'Swift',
    'Olivia Hall',
    '3',
    '2023-10-24 14:45:00'
  );
INSERT INTO `testcase_set`
VALUES (
    10,
    'new Test Set 10',
    'Description for test set 10',
    '2023-10-25 11:19:48',
    'Dev',
    'Swift',
    'Olivia Hall',
    '2',
    '2023-10-24 14:45:00'
  );
INSERT INTO `testcase_set`
VALUES (
    11,
    'new Test Set 11',
    'Description for test set 11',
    '2023-10-25 11:19:50',
    'Test',
    'Swift',
    'Olivia Hall',
    '5',
    '2023-10-24 14:45:00'
  );
SET FOREIGN_KEY_CHECKS = 1;
